package com.app.input.breeze.board.keyboardhelper;



import java.util.ArrayList;
import java.util.List;

public class KeyboardLayout {
    private String name;
    private List<KeyboardKey> KeyboardKeys = new ArrayList<>();


    public KeyboardLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyboardKey> getKeys() {
        return KeyboardKeys;
    }

    public void addKey(KeyboardKey KeyboardKey) {
        this.KeyboardKeys.add(KeyboardKey);
    }

    public KeyboardKey getLastKey() {
        return KeyboardKeys.isEmpty() ? null : KeyboardKeys.get(KeyboardKeys.size() - 1);
    }


}